Package org.eclipse.cdt.core.parser

## Class CodeReader

- java.lang.Object
- - org.eclipse.cdt.core.parser.CodeReader

    @Deprecated
    public class CodeReader
    extends Object

Deprecated.
replaced by `FileContent`
Reads the content of a file into a char[] buffer.

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`char[]` `buffer` Deprecated.
`char[]` `filename` Deprecated.
`static String` `SYSTEM_DEFAULT_ENCODING` Deprecated.

### Constructor Summary

Constructors
`CodeReader​(char[] buffer)` Deprecated.
`CodeReader​(String filename)` Deprecated.
`CodeReader​(String filename, char[] buffer)` Deprecated.
`CodeReader​(String filename, InputStream stream)` Deprecated.
`CodeReader​(String filename, String charSet)` Deprecated.
`CodeReader​(String fileName, String charSet, InputStream stream)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getPath()` Deprecated.
`boolean` `isFile()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SYSTEM_DEFAULT_ENCODING

    public static final String SYSTEM_DEFAULT_ENCODING

Deprecated.

#### buffer

    public final char[] buffer

Deprecated.

#### filename

    public final char[] filename

Deprecated.

### Constructor Detail

#### CodeReader

    public CodeReader​(String filename,
                      char[] buffer)

Deprecated.

#### CodeReader

    public CodeReader​(char[] buffer)

Deprecated.

#### CodeReader

    public CodeReader​(String filename)
               throws IOException

Deprecated.

Throws:
  `IOException`

#### CodeReader

    public CodeReader​(String filename,
                      String charSet)
               throws IOException

Deprecated.

Throws:
  `IOException`

#### CodeReader

    public CodeReader​(String filename,
                      InputStream stream)
               throws IOException

Deprecated.

Throws:
  `IOException`

#### CodeReader

    public CodeReader​(String fileName,
                      String charSet,
                      InputStream stream)
               throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### isFile

    public boolean isFile()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### getPath

    public String getPath()

Deprecated.